Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 384893 - kde-base/plasma-workspace-4.7.1-r1: closing windows on inactive desktop breaks task bar layout
Summary: kde-base/plasma-workspace-4.7.1-r1: closing windows on inactive desktop break...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 388279
  Show dependency tree
 
Reported: 2011-09-29 09:37 UTC by Martin von Gagern
Modified: 2011-11-14 22:45 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2011-09-29 09:37:20 UTC
When closing windows on a desktop which isn't currently active (e.g. by terminating an application which has windows on multiple desktops), then after making the desktop active the remaining taks are displayed in weird locations.

Reproducible: Always

Steps to Reproduce:
1. Configure the Taskbar applet like this:
   - Force row settings = yes
   - Maximum rows = 2
   - Grouping = Do Not Group
   - Sorting = Manually
   - Only show tasks from the current desktop = yes
   - Only show tasks that are minimized = no
2. Start Firefox on Desktop 1
3. Open a new Firefox window and move it to Desktop 2
4. Switch to Desktop 2 and open half a dozen more Firefox windows
5. Open a Konsole window on Desktop 2
6. Switch to Desktop 1
7. Terminate Firefox using the File / Quit menu item
8. Switch to Desktop 2
Actual Results:  
Konsole displayed in the first column of the task bar, but below the common task bar rows, so it is only partially visible. Dragging the task button is possible, but its height will remain way too small.

Expected Results:  
Konsole displayed as the only application, at the very left of the task bar and at full height.

I've only reproduced this once as outlined above. But I've often encountered a related issue with plasma-workspace-4.7.1 and the custom tasks-ordering patch from https://bugs.kde.org/show_bug.cgi?id=262674#c1 applied as a user patch. In that setup, the steps outlined above would cause gaps in the grid of task buttons, but the grid itself would still be sane (except for the excess number of columns), so the tasks would still be visible at a reasonable height.

I expect that this whole issue is an UPSTREAM bug, but I'd like some Gentoo KDE maintainer to confirm both the bug and it not being specific to Gentoo.
Comment 1 Andreas K. Hüttel gentoo-dev 2011-10-25 19:58:05 UTC
Do you still see this problem with kde 4.7.2 ?
Comment 2 Martin von Gagern 2011-10-26 07:22:33 UTC
(In reply to comment #1)
> Do you still see this problem with kde 4.7.2 ?

I still see the related issue with my patched plasma-workspace. Will compile a vanilla version and give that a try as well, but I strongly suspect that to be affected, too.

By the way, as you're blocking 4.7 stabilization on this: I'm not really sure when this behaviour started. It might have been an issue with 4.6 already. Will have to see how badly my system breaks if I try to downgrade just that package for a try.
Comment 3 Martin von Gagern 2011-10-26 09:03:22 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Do you still see this problem with kde 4.7.2 ?
> 
> I still see the related issue with my patched plasma-workspace. Will compile a
> vanilla version and give that a try as well, but I strongly suspect that to be
> affected, too.

I can confirm that I can still reproduce this without my patch.
Comment 4 Martin von Gagern 2011-10-26 09:07:55 UTC
(In reply to comment #2)
> By the way, as you're blocking 4.7 stabilization on this: I'm not really sure
> when this behaviour started. It might have been an issue with 4.6 already. Will
> have to see how badly my system breaks if I try to downgrade just that package
> for a try.

No luck, wont compile all by itself due to taskgroupitem.cpp:1115:
undefined reference to `TaskManager::LauncherItem::url() const'
As I don't intend to downgrade my whole KDE just for this bug, I cannot say whether 4.6 has this bug or not.
Comment 5 Andreas K. Hüttel gentoo-dev 2011-11-12 16:01:23 UTC
How about 4.7.3 ?
Comment 6 Martin von Gagern 2011-11-14 22:10:30 UTC
(In reply to comment #5)
> How about 4.7.3 ?

Seems fixed now. Instead I now sometimes get two buttons sharing a single location, i.e. being drawn one over the other. Not sure what triggers those things, but if I find a way to reliably reproduce that, I'll file a new report. Feel free to mark this RESOLVED OBSOLETE.
Comment 7 Andreas K. Hüttel gentoo-dev 2011-11-14 22:45:26 UTC
OK thanks